Role Name
=========

A role that manages a Java keystore.

Role Variables
--------------

The most important variables are listed below:

``` yaml
java_keyring_use_default: False
java_default_keyring: '{{ jdk_java_home }}/jre/lib/security/cacerts'
java_keyring_dir: "{{ pki_dir | default('/etc/pki') }}/jdk"
#java_keyring_file: '{{ java_default_keyring }}'
java_keyring_file: '{{ java_keyring_dir }}/java.jks'
java_keytool_bin: '{{ jdk_java_home }}/jre/bin/keytool'

#java_keyring_certs_list: []
java_keyring_cert_alias: '{{ ansible_fqdn }}'
# This is the default java password. No need to hide it.
# Change it inside a vault file if you need something good
java_keyring_pwd: changeit
java_keyring_letsencrypt_trusted_ca: identrustdstx3
java_import_letsencrypt_cert: True
```

Dependencies
------------

* openjdk

TODO
------------

Use the ansible module *java_keystore*

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
